Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/process.c |   29 -----------------------------
 1 files changed, 29 deletions(-)

diff -puN arch/x86_64/kernel/process.c~x86_64-drop-disable-tsc arch/x86_64/kernel/process.c
--- devel/arch/x86_64/kernel/process.c~x86_64-drop-disable-tsc	2005-09-07 20:10:25.000000000 -0700
+++ devel-akpm/arch/x86_64/kernel/process.c	2005-09-07 20:10:25.000000000 -0700
@@ -487,33 +487,6 @@ out:
 }
 
 /*
- * This function selects if the context switch from prev to next
- * has to tweak the TSC disable bit in the cr4.
- */
-static inline void disable_tsc(struct task_struct *prev_p,
-			       struct task_struct *next_p)
-{
-	struct thread_info *prev, *next;
-
-	/*
-	 * gcc should eliminate the ->thread_info dereference if
-	 * has_secure_computing returns 0 at compile time (SECCOMP=n).
-	 */
-	prev = prev_p->thread_info;
-	next = next_p->thread_info;
-
-	if (has_secure_computing(prev) || has_secure_computing(next)) {
-		/* slow path here */
-		if (has_secure_computing(prev) &&
-		    !has_secure_computing(next)) {
-			write_cr4(read_cr4() & ~X86_CR4_TSD);
-		} else if (!has_secure_computing(prev) &&
-			   has_secure_computing(next))
-			write_cr4(read_cr4() | X86_CR4_TSD);
-	}
-}
-
-/*
  * This special macro can be used to load a debugging register
  */
 #define loaddebug(thread,r) set_debug(thread->debugreg ## r, r)
@@ -631,8 +604,6 @@ struct task_struct *__switch_to(struct t
 		}
 	}
 
-	disable_tsc(prev_p, next_p);
-
 	return prev_p;
 }
 
_
